/* readcat.h -- utility functions for reading astronomical catalog data */
/*
Copyright 2000, Steve VanDevender <stevev@hexadecimal.uoregon.edu>
Permission is granted to redistribute source code for this program if
and only if all of the following conditions are met:

1.  This copyright notice must not be removed or modified.
2.  Any changes you make to this source code must be documented.
3.  Binary versions must be distributed with complete source code.
4.  No money will be charged for distribution of binaries or source code.
*/

/* arbitrarily chosen constants used to flag invalid values */
#define BAD_INT (1 << ((sizeof(unsigned long)) * 8 - 1))
#define BAD_DOUBLE -9.99999999e99

void get_char(char *, int, char *);
void get_string(char *, int, int, char *);
void get_integer(char *, int, int, long *);
void get_fp(char *, int, int, double *);
